---
type: api
title: Get cloud connector usage (package policies using the connector)
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-get-fleet-cloud-connectors-cloudconnectorid-usage
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-get-fleet-cloud-connectors-cloudconnectorid-usage
products:
  - Kibana
---

# Get cloud connector usage (package policies using the connector)

Availability: 9.2+

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/cloud_connectors/{cloudConnectorId}/usage`
- `GET` `/s/{space_id}/api/fleet/cloud_connectors/{cloudConnectorId}/usage`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

#### Path Parameters

- `cloudConnectorId` (string)
  The unique identifier of the cloud connector.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a list of package policies that are using a given cloud connector.<br/><br/>[Required authorization] Route required privileges: fleet-agent-policies-read OR integrations-read.

## Query String Parameters

- `page` (number · min: 1)
  The page number for pagination.
- `perPage` (number · min: 1)
  The number of items per page.

## Responses

#### `200`

OK: A successful request.

`application/json`

- `items` ([] object · max: 10000)
  - `created_at` (string)
  - `id` (string)
  - `name` (string)
  - `package` (object)
    - `name` (string)
    - `title` (string)
    - `version` (string)
  - `policy_ids` ([] string · max: 10000)
  - `updated_at` (string)
- `page` (number)
- `perPage` (number)
- `total` (number)
#### `400`

A bad request.

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/cloud_connectors/{cloudConnectorId}/usage
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/cloud_connectors/{cloudConnectorId}/usage"
```

## Response Examples

#### Get cloud connector usage response

Example response showing package policies using the cloud connector

```json
{
  "items": [
    {
      "created_at": "2025-01-16T09:00:00.000Z",
      "id": "package-policy-1",
      "name": "CSPM AWS Policy",
      "package": {
        "name": "cloud_security_posture",
        "title": "Cloud Security Posture Management",
        "version": "3.1.1"
      },
      "policy_ids": [
        "policy-id-123",
        "policy-id-456"
      ],
      "updated_at": "2025-01-16T09:00:00.000Z"
    }
  ],
  "page": 1,
  "perPage": 20,
  "total": 2
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "Cloud connector not found",
  "statusCode": 400
}
```

